ruby1.8 1.8.4-1ubuntu1.1 source package in Ubuntu

Changelog

ruby1.8 (1.8.4-1ubuntu1.1) dapper-security; urgency=low

  * SECURITY UPDATE: Safe level bypass.
  * Add debian/patches/100_CVE-2006-3694.patch:
    - eval.c, alias(): preserve current safe level
      http://www.ruby-lang.org/cgi-bin/cvsweb.cgi/ruby/eval.c?cvsroot=src&r1=1.616.2.166&r2=1.616.2.167
      (only relevant part)
    - re.c: do not modify untainted levels in safe levels > 3
      http://www.ruby-lang.org/cgi-bin/cvsweb.cgi/ruby/re.c?cvsroot=src&r1=1.114.2.17&r2=1.114.2.18
      (only last hunk is relevant)
    - dir.c: should not close untainted dir stream
      http://www.ruby-lang.org/cgi-bin/cvsweb.cgi/ruby/dir.c?cvsroot=src&r1=1.92.2.32&r2=1.92.2.33
    - CVE-2006-3694

 -- Martin Pitt <email address hidden>   Wed, 26 Jul 2006 11:15:57 +0000

Upload details

Uploaded by:
Martin Pitt on 2006-07-27
Uploaded to:
Dapper
Original maintainer:
akira yamada
Architectures:
any
Section:
interpreters
Urgency:
Low Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
ruby1.8_1.8.4.orig.tar.gz 4.1 MiB 9ad245f921eb03c11f08ee877bdda6f9d36fc8ffe98ccf61e60c87cdb3f8477b
ruby1.8_1.8.4-1ubuntu1.1.diff.gz 33.9 KiB b6bb0e545a854d5070d1c764ca4e9464a091d9cfe63bf60d36715e3468b3ada8
ruby1.8_1.8.4-1ubuntu1.1.dsc 1.0 KiB 53b1ea2e50cd108f11b9eac41da681e9466b01b14fe26ceb2e5f0ecb690aa4a6

View changes file

Binary packages built by this source

irb1.8: No summary available for irb1.8 in ubuntu dapper.

No description available for irb1.8 in ubuntu dapper.

libdbm-ruby1.8: No summary available for libdbm-ruby1.8 in ubuntu dapper.

No description available for libdbm-ruby1.8 in ubuntu dapper.

libgdbm-ruby1.8: No summary available for libgdbm-ruby1.8 in ubuntu dapper.

No description available for libgdbm-ruby1.8 in ubuntu dapper.

libopenssl-ruby1.8: No summary available for libopenssl-ruby1.8 in ubuntu dapper.

No description available for libopenssl-ruby1.8 in ubuntu dapper.

libreadline-ruby1.8: No summary available for libreadline-ruby1.8 in ubuntu dapper.

No description available for libreadline-ruby1.8 in ubuntu dapper.

libruby1.8: No summary available for libruby1.8 in ubuntu dapper.

No description available for libruby1.8 in ubuntu dapper.

libruby1.8-dbg: No summary available for libruby1.8-dbg in ubuntu dapper.

No description available for libruby1.8-dbg in ubuntu dapper.

libtcltk-ruby1.8: No summary available for libtcltk-ruby1.8 in ubuntu dapper.

No description available for libtcltk-ruby1.8 in ubuntu dapper.

rdoc1.8: No summary available for rdoc1.8 in ubuntu dapper.

No description available for rdoc1.8 in ubuntu dapper.

ri1.8: No summary available for ri1.8 in ubuntu dapper.

No description available for ri1.8 in ubuntu dapper.

ruby1.8: No summary available for ruby1.8 in ubuntu dapper.

No description available for ruby1.8 in ubuntu dapper.

ruby1.8-dev: No summary available for ruby1.8-dev in ubuntu dapper.

No description available for ruby1.8-dev in ubuntu dapper.

ruby1.8-elisp: No summary available for ruby1.8-elisp in ubuntu dapper.

No description available for ruby1.8-elisp in ubuntu dapper.

ruby1.8-examples: No summary available for ruby1.8-examples in ubuntu dapper.

No description available for ruby1.8-examples in ubuntu dapper.